Loading...
Searching...
No Matches
DataProvider::AbstractDataProviderBulkOperation Class Reference

Abstract bulk data operation class. More...

`#include <AbstractDataProviderBulkOperation.qc.dox.h>`

Inheritance diagram for DataProvider::AbstractDataProviderBulkOperation:
[legend]

## Public Member Functions

| commit ()
| Commits data written to the data provider.
| constructor (AbstractDataProvider provider)
| Creates the object.
abstract | discard ()
| Discards any buffered data.
abstract | flush ()
| Flushes any remaining data to the data provider.
abstract | queueData (hash< auto > record)
| Queues data in the buffer.
abstract | queueData (list< hash< auto > > records)
| Queues data in the buffer.
| rollback ()
| Rolls back data written to the data provider.

## Protected Attributes

AbstractDataProvider | provider
| The data provider.

## Detailed Description

Abstract bulk data operation class.

## Member Function Documentation

## commit()

DataProvider::AbstractDataProviderBulkOperation::commit | ( |  | ) |

Commits data written to the data provider.

Has no effect if the data provider does not support transaction management

## discard()

abstract DataProvider::AbstractDataProviderBulkOperation::discard | ( |  | ) |

Discards any buffered data.

This method should be called before rolling back the transaction (if the data provider supports transaction management) or destroying the object if an error occurs

## flush()

abstract DataProvider::AbstractDataProviderBulkOperation::flush | ( |  | ) |

Flushes any remaining data to the data provider.

This method should always be called before committing the transaction (if the data provider supports transaction management) or destroying the object

## rollback()

DataProvider::AbstractDataProviderBulkOperation::rollback | ( |  | ) |

Rolls back data written to the data provider.

Has no effect if the data provider does not support transaction management